Bug 765592 - drift diff is different depending on order in which files are selected
drift diff is different depending on order in which files are selected
Product: RHQ Project
Classification: Other
Component: Core UI, drift (Show other bugs)
All All
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On: jon30-sprint10/rhq43-sprint10
Blocks: 707225 786611
  Show dependency treegraph
Reported: 2011-12-08 16:51 EST by John Mazzitelli
Modified: 2013-08-31 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 786611 (view as bug list)
Last Closed: 2013-08-31 06:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-12-08 16:51:48 EST
go to carousel. say I have snapshot 2 and snapshot 1 that both show drift for file "foo.txt".

select foo.txt in snapshot 2, then select foo.txt in snapshot 1. then "compare" and you see the diff

now deselect everything and now select the files in reverse order (select the one in SS 1, then in SS 2) and do "compare" and notice the diff represents the opposite

that is, for example, the lines that were DELETED in the first compare are now ADDED in the second compare because I changed the order of the files.

We want to compare the oldest as "first" and the newest as "second", always
Comment 1 Jay Shaughnessy 2011-12-09 14:46:38 EST
master commit 5938a790c0aeb32865f4b115e721de22220ca100

Fixed, the new changes will now always get the "+" prefixes and the older
will get the "-" prefixes.
Comment 2 Mike Foley 2011-12-12 10:31:39 EST
verified RHQ 4.3 master branch
Comment 3 Heiko W. Rupp 2013-08-31 06:13:46 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.